Csomóponti sebezhetőséget fedeztek fel a Lightning korábbi verziójában, frissítés szükséges

  • 2
  •  
  •  
  •  
  •  
  •  
  •  
  •  

Az LND október elsején kijött 0.11 verziója előtti szoftverét futtató csomópontoknak azonnali frissítést javasol a Lightning Labs szenior kriptográfiai fejlesztője, miután sebezhetőséget fedeztek fel a 0.10-es és az előtti verziókban.

Conner Fromknecht a Lightning Labs-tól ezt írja:

Ugyan nem véljük azt, hogy ezeket a sebezhetőségeket bárki is kihasználta volna, de nagyon határozottan javasoljuk a közösség tagjainak, hogy minél előbb frissítsenek az lnd 0.11.0 vagy a fölötti verziókra.

A sebezhetőség mibenlétéről nem írt Fromknecht, azt később, október 20-án hozza nyilvánosságra.

Nem az első alkalom, hogy hibát találtak a Bitcoin hálózat instant és olcsó BTC utalásokat lehetővé tevő Lightning hálózaton. A múlt évben a Lightning Labs CTO-ja, Olaoluwa Osuntokun jelezte, hogy több esetben is visszaéltek néhány verzióhibával a támadók.

2020 elején pedig kijött egy akadémia papír, ami a Lightning sebezhetőségét taglalja és demonstrálta, hogy az alapesetben anonim Bitcoin Lightning tranzakciók metaadatát szerezték meg.

A Lightning hálózat lesz a Bitcoin mainstream adoptációjának egyik legfontosabb építőköve. A második rétegű hálózat szinte ingyenes és azonnali BTC utalásokat ígér a szemben a Bitcoin hálózat átlag 10 perces tranzakciós idejéhez és magas bányászdíjaival szemben. Három komolyabb fejlesztőcég rendelkezik eddig aktív Lightning alkalmazásokkal, ez a Lightning Labs, a Blockstream és az ACINQ.

Kapcsolódó:

Balaxi

Balaxi 2013 óta követi szoros figyelemmel a Bitcoin és kriptovaluta ökoszisztéma fejlődését. A BitcoinBazis.hu kriptovaluta piaci szak- és médiaportált 2016-ban alapította többedmagával. Az oldal azóta Magyarország vezető, elsősorban digitális pénzügyi eszközökkel, bitcoinnal, decentralizációval és technológiai témákkal foglalkozó portáljává nőtte ki magát.

Vélemény, hozzászólás?

Az e-mail-címet nem tesszük közzé.